# Aliases

The **Aliases** object holds a collection of all the defined [folder aliases](/directory-opus/manual/basic_concepts/the_lister/navigation/aliases.md). It is retrieved from the [**DOpus**](/directory-opus/manual/reference/scripting_reference/scripting_objects/dopus.md)**.aliases** method.

| Property Name      | Return Type                                                                                               | Description                                                                                                                                       |
| ------------------ | --------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| *\<default value>* | *collection:*[**Alias**](/directory-opus/manual/reference/scripting_reference/scripting_objects/alias.md) | You can enumerate the **Aliases** object, or query the value of an individual alias by name (e.g. *DOpus.Output(DOpus.aliases("desktop").path);*) |

| Method Name | **Arguments**                           | Return Type | Description                                                                                                                                                                                                                                                                                                                                                         |
| ----------- | --------------------------------------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Add         | <p>\<string:name><br>\<string:path></p> | *none*      | Adds a new alias to the system with the specified name and path. Note that you should **not** provide the leading forward-slash (/) in the alias name.                                                                                                                                                                                                              |
| Delete      | \<string:name>                          | *none*      | Deletes the specified alias.                                                                                                                                                                                                                                                                                                                                        |
| Update      | *none*                                  | *none*      | Updates the state of this object. When the **Aliases** object is first retrieved via **DOpus.aliases**, a snapshot is taken of the aliases at that time. If you make changes via the object it will reflect them but any changes made outside the script (e.g. via the **Favorites ADD=alias** command) will not be detected unless you call the **Update** method. |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://chaoses-ib.gitbook.io/directory-opus/manual/reference/scripting_reference/scripting_objects/aliases.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
